// (c) Copyright 1995-2018 Xilinx, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Xilinx, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Xilinx, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Xilinx shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Xilinx had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Xilinx products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Xilinx products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: COMPAS:COMPAS:QEMUPCIeBridge:1.0.0
// IP Revision: 3

(* X_CORE_INFO = "axi4_ip,Vivado 2017.1" *)
(* CHECK_LICENSE_TYPE = "top_QEMUPCIeBridge_0_0,axi4_ip,{}" *)
(* DowngradeIPIdentifiedWarnings = "yes" *)
module top_QEMUPCIeBridge_0_0 (
  i_axi_ctl_aclk,
  i_sys_rst_n,
  i_refclk,
  o_axi_aclk,
  o_axi_aresetn,
  o_m_arid,
  o_m_araddr,
  o_m_arlen,
  o_m_arsize,
  o_m_arburst,
  o_m_arlock,
  o_m_arcache,
  o_m_arprot,
  o_m_arregion,
  o_m_arvalid,
  i_m_arready,
  i_m_rid,
  i_m_rdata,
  i_m_rresp,
  i_m_rlast,
  i_m_rvalid,
  o_m_rready,
  o_m_awid,
  o_m_awaddr,
  o_m_awlen,
  o_m_awsize,
  o_m_awburst,
  o_m_awlock,
  o_m_awcache,
  o_m_awprot,
  o_m_awregion,
  o_m_awvalid,
  i_m_awready,
  o_m_wid,
  o_m_wdata,
  o_m_wlast,
  o_m_wstrb,
  o_m_wvalid,
  i_m_wready,
  i_m_bid,
  i_m_bresp,
  i_m_bvalid,
  o_m_bready,
  i_s_arid,
  i_s_araddr,
  i_s_arlen,
  i_s_arsize,
  i_s_arburst,
  i_s_arlock,
  i_s_arcache,
  i_s_arprot,
  i_s_arregion,
  i_s_arvalid,
  o_s_arready,
  o_s_rid,
  o_s_rdata,
  o_s_rresp,
  o_s_rlast,
  o_s_rvalid,
  i_s_rready,
  i_s_awid,
  i_s_awaddr,
  i_s_awlen,
  i_s_awsize,
  i_s_awburst,
  i_s_awlock,
  i_s_awcache,
  i_s_awprot,
  i_s_awregion,
  i_s_awvalid,
  o_s_awready,
  i_s_wid,
  i_s_wdata,
  i_s_wlast,
  i_s_wstrb,
  i_s_wvalid,
  o_s_wready,
  o_s_bid,
  o_s_bresp,
  o_s_bvalid,
  i_s_bready,
  interrupt_out,
  intx_msi_request,
  intx_msi_grant,
  i_s_ctl_araddr,
  i_s_ctl_arvalid,
  o_s_ctl_arready,
  o_s_ctl_rdata,
  o_s_ctl_rresp,
  o_s_ctl_rvalid,
  i_s_ctl_rready,
  i_s_ctl_awaddr,
  i_s_ctl_awvalid,
  o_s_ctl_awready,
  i_s_ctl_wdata,
  i_s_ctl_wstrb,
  i_s_ctl_wvalid,
  o_s_ctl_wready,
  o_s_ctl_bresp,
  o_s_ctl_bvalid,
  i_s_ctl_bready,
  cfg_interrupt_msix_address,
  cfg_interrupt_msix_data,
  cfg_interrupt_msix_enable,
  cfg_interrupt_msix_fail,
  cfg_interrupt_msix_int,
  cfg_interrupt_msix_mask,
  cfg_interrupt_msix_sent,
  cfg_interrupt_msix_vf_enable,
  cfg_interrupt_msix_vf_mask,
  pci_exp_rxn,
  pci_exp_rxp,
  pci_exp_txn,
  pci_exp_txp
);

(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 axi_ctl_aclk CLK" *)
input wire i_axi_ctl_aclk;
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 sys_rst_n RST" *)
input wire i_sys_rst_n;
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 refclk CLK" *)
input wire i_refclk;
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 axi_aclk CLK" *)
output wire o_axi_aclk;
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 axi_aresetn RST" *)
output wire o_axi_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [2 : 0] o_m_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] o_m_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] o_m_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] o_m_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] o_m_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire o_m_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] o_m_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] o_m_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREGION" *)
output wire [3 : 0] o_m_arregion;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire o_m_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire i_m_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [2 : 0] i_m_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [255 : 0] i_m_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] i_m_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire i_m_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire i_m_rvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire o_m_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [2 : 0] o_m_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] o_m_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] o_m_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] o_m_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] o_m_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire o_m_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] o_m_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] o_m_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREGION" *)
output wire [3 : 0] o_m_awregion;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire o_m_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire i_m_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WID" *)
output wire [2 : 0] o_m_wid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [255 : 0] o_m_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire o_m_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [31 : 0] o_m_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire o_m_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire i_m_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [2 : 0] i_m_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] i_m_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire i_m_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire o_m_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [2 : 0] i_s_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] i_s_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] i_s_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] i_s_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] i_s_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire i_s_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] i_s_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] i_s_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREGION" *)
input wire [3 : 0] i_s_arregion;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire i_s_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire o_s_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [2 : 0] o_s_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [255 : 0] o_s_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] o_s_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire o_s_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire o_s_rvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire i_s_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [2 : 0] i_s_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] i_s_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] i_s_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] i_s_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] i_s_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire i_s_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] i_s_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] i_s_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREGION" *)
input wire [3 : 0] i_s_awregion;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire i_s_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire o_s_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WID" *)
input wire [2 : 0] i_s_wid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [255 : 0] i_s_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire i_s_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [31 : 0] i_s_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire i_s_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire o_s_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [2 : 0] o_s_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] o_s_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire o_s_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire i_s_bready;
output wire interrupt_out;
input wire intx_msi_request;
output wire intx_msi_grant;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI_CTL ARADDR" *)
input wire [31 : 0] i_s_ctl_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI_CTL ARVALID" *)
input wire i_s_ctl_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI_CTL ARREADY" *)
output wire o_s_ctl_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI_CTL RDATA" *)
output wire [31 : 0] o_s_ctl_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI_CTL RRESP" *)
output wire [1 : 0] o_s_ctl_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI_CTL RVALID" *)
output wire o_s_ctl_rvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI_CTL RREADY" *)
input wire i_s_ctl_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI_CTL AWADDR" *)
input wire [31 : 0] i_s_ctl_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI_CTL AWVALID" *)
input wire i_s_ctl_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI_CTL AWREADY" *)
output wire o_s_ctl_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI_CTL WDATA" *)
input wire [31 : 0] i_s_ctl_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI_CTL WSTRB" *)
input wire [3 : 0] i_s_ctl_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI_CTL WVALID" *)
input wire i_s_ctl_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI_CTL WREADY" *)
output wire o_s_ctl_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI_CTL BRESP" *)
output wire [1 : 0] o_s_ctl_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI_CTL BVALID" *)
output wire o_s_ctl_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI_CTL BREADY" *)
input wire i_s_ctl_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:pcie3_cfg_msix:1.0 cfg_interrupt_msix address" *)
input wire [63 : 0] cfg_interrupt_msix_address;
(* X_INTERFACE_INFO = "xilinx.com:interface:pcie3_cfg_msix:1.0 cfg_interrupt_msix data" *)
input wire [31 : 0] cfg_interrupt_msix_data;
(* X_INTERFACE_INFO = "xilinx.com:interface:pcie3_cfg_msix:1.0 cfg_interrupt_msix enable" *)
output wire [3 : 0] cfg_interrupt_msix_enable;
(* X_INTERFACE_INFO = "xilinx.com:interface:pcie3_cfg_msix:1.0 cfg_interrupt_msix fail" *)
output wire cfg_interrupt_msix_fail;
(* X_INTERFACE_INFO = "xilinx.com:interface:pcie3_cfg_msix:1.0 cfg_interrupt_msix int_vector" *)
input wire cfg_interrupt_msix_int;
(* X_INTERFACE_INFO = "xilinx.com:interface:pcie3_cfg_msix:1.0 cfg_interrupt_msix mask" *)
output wire [3 : 0] cfg_interrupt_msix_mask;
(* X_INTERFACE_INFO = "xilinx.com:interface:pcie3_cfg_msix:1.0 cfg_interrupt_msix sent" *)
output wire cfg_interrupt_msix_sent;
(* X_INTERFACE_INFO = "xilinx.com:interface:pcie3_cfg_msix:1.0 cfg_interrupt_msix vf_enable" *)
output wire [7 : 0] cfg_interrupt_msix_vf_enable;
(* X_INTERFACE_INFO = "xilinx.com:interface:pcie3_cfg_msix:1.0 cfg_interrupt_msix vf_mask" *)
output wire [7 : 0] cfg_interrupt_msix_vf_mask;
(* X_INTERFACE_INFO = "xilinx.com:interface:pcie_7x_mgt:1.0 pcie_7x_mgt rxn" *)
input wire [7 : 0] pci_exp_rxn;
(* X_INTERFACE_INFO = "xilinx.com:interface:pcie_7x_mgt:1.0 pcie_7x_mgt rxp" *)
input wire [7 : 0] pci_exp_rxp;
(* X_INTERFACE_INFO = "xilinx.com:interface:pcie_7x_mgt:1.0 pcie_7x_mgt txn" *)
output wire [7 : 0] pci_exp_txn;
(* X_INTERFACE_INFO = "xilinx.com:interface:pcie_7x_mgt:1.0 pcie_7x_mgt txp" *)
output wire [7 : 0] pci_exp_txp;

  axi4_ip #(
    .TAGW(3),
    .ADRW(64),
    .DATW(256),
    .SIZE(3'B101),
    .STBW(32),
    .DTMP(4096),
    .NSTB(128),
    .CLKOFREQ(250)
  ) inst (
    .i_axi_ctl_aclk(i_axi_ctl_aclk),
    .i_sys_rst_n(i_sys_rst_n),
    .i_refclk(i_refclk),
    .o_axi_aclk(o_axi_aclk),
    .o_axi_aresetn(o_axi_aresetn),
    .o_m_arid(o_m_arid),
    .o_m_araddr(o_m_araddr),
    .o_m_arlen(o_m_arlen),
    .o_m_arsize(o_m_arsize),
    .o_m_arburst(o_m_arburst),
    .o_m_arlock(o_m_arlock),
    .o_m_arcache(o_m_arcache),
    .o_m_arprot(o_m_arprot),
    .o_m_arregion(o_m_arregion),
    .o_m_arvalid(o_m_arvalid),
    .i_m_arready(i_m_arready),
    .i_m_rid(i_m_rid),
    .i_m_rdata(i_m_rdata),
    .i_m_rresp(i_m_rresp),
    .i_m_rlast(i_m_rlast),
    .i_m_rvalid(i_m_rvalid),
    .o_m_rready(o_m_rready),
    .o_m_awid(o_m_awid),
    .o_m_awaddr(o_m_awaddr),
    .o_m_awlen(o_m_awlen),
    .o_m_awsize(o_m_awsize),
    .o_m_awburst(o_m_awburst),
    .o_m_awlock(o_m_awlock),
    .o_m_awcache(o_m_awcache),
    .o_m_awprot(o_m_awprot),
    .o_m_awregion(o_m_awregion),
    .o_m_awvalid(o_m_awvalid),
    .i_m_awready(i_m_awready),
    .o_m_wid(o_m_wid),
    .o_m_wdata(o_m_wdata),
    .o_m_wlast(o_m_wlast),
    .o_m_wstrb(o_m_wstrb),
    .o_m_wvalid(o_m_wvalid),
    .i_m_wready(i_m_wready),
    .i_m_bid(i_m_bid),
    .i_m_bresp(i_m_bresp),
    .i_m_bvalid(i_m_bvalid),
    .o_m_bready(o_m_bready),
    .i_s_arid(i_s_arid),
    .i_s_araddr(i_s_araddr),
    .i_s_arlen(i_s_arlen),
    .i_s_arsize(i_s_arsize),
    .i_s_arburst(i_s_arburst),
    .i_s_arlock(i_s_arlock),
    .i_s_arcache(i_s_arcache),
    .i_s_arprot(i_s_arprot),
    .i_s_arregion(i_s_arregion),
    .i_s_arvalid(i_s_arvalid),
    .o_s_arready(o_s_arready),
    .o_s_rid(o_s_rid),
    .o_s_rdata(o_s_rdata),
    .o_s_rresp(o_s_rresp),
    .o_s_rlast(o_s_rlast),
    .o_s_rvalid(o_s_rvalid),
    .i_s_rready(i_s_rready),
    .i_s_awid(i_s_awid),
    .i_s_awaddr(i_s_awaddr),
    .i_s_awlen(i_s_awlen),
    .i_s_awsize(i_s_awsize),
    .i_s_awburst(i_s_awburst),
    .i_s_awlock(i_s_awlock),
    .i_s_awcache(i_s_awcache),
    .i_s_awprot(i_s_awprot),
    .i_s_awregion(i_s_awregion),
    .i_s_awvalid(i_s_awvalid),
    .o_s_awready(o_s_awready),
    .i_s_wid(i_s_wid),
    .i_s_wdata(i_s_wdata),
    .i_s_wlast(i_s_wlast),
    .i_s_wstrb(i_s_wstrb),
    .i_s_wvalid(i_s_wvalid),
    .o_s_wready(o_s_wready),
    .o_s_bid(o_s_bid),
    .o_s_bresp(o_s_bresp),
    .o_s_bvalid(o_s_bvalid),
    .i_s_bready(i_s_bready),
    .interrupt_out(interrupt_out),
    .intx_msi_request(intx_msi_request),
    .intx_msi_grant(intx_msi_grant),
    .i_s_ctl_araddr(i_s_ctl_araddr),
    .i_s_ctl_arvalid(i_s_ctl_arvalid),
    .o_s_ctl_arready(o_s_ctl_arready),
    .o_s_ctl_rdata(o_s_ctl_rdata),
    .o_s_ctl_rresp(o_s_ctl_rresp),
    .o_s_ctl_rvalid(o_s_ctl_rvalid),
    .i_s_ctl_rready(i_s_ctl_rready),
    .i_s_ctl_awaddr(i_s_ctl_awaddr),
    .i_s_ctl_awvalid(i_s_ctl_awvalid),
    .o_s_ctl_awready(o_s_ctl_awready),
    .i_s_ctl_wdata(i_s_ctl_wdata),
    .i_s_ctl_wstrb(i_s_ctl_wstrb),
    .i_s_ctl_wvalid(i_s_ctl_wvalid),
    .o_s_ctl_wready(o_s_ctl_wready),
    .o_s_ctl_bresp(o_s_ctl_bresp),
    .o_s_ctl_bvalid(o_s_ctl_bvalid),
    .i_s_ctl_bready(i_s_ctl_bready),
    .cfg_interrupt_msix_address(cfg_interrupt_msix_address),
    .cfg_interrupt_msix_data(cfg_interrupt_msix_data),
    .cfg_interrupt_msix_enable(cfg_interrupt_msix_enable),
    .cfg_interrupt_msix_fail(cfg_interrupt_msix_fail),
    .cfg_interrupt_msix_int(cfg_interrupt_msix_int),
    .cfg_interrupt_msix_mask(cfg_interrupt_msix_mask),
    .cfg_interrupt_msix_sent(cfg_interrupt_msix_sent),
    .cfg_interrupt_msix_vf_enable(cfg_interrupt_msix_vf_enable),
    .cfg_interrupt_msix_vf_mask(cfg_interrupt_msix_vf_mask),
    .pci_exp_rxn(pci_exp_rxn),
    .pci_exp_rxp(pci_exp_rxp),
    .pci_exp_txn(pci_exp_txn),
    .pci_exp_txp(pci_exp_txp)
  );
endmodule
